﻿using System;
using System.Collections.Generic;
using System.Windows;
using Telerik.Windows.Controls.Charting;
using Telerik.Windows.Controls;
using System.Windows.Data;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();


        }
    }

    public class ViewModel : ViewModelBase
    {
        private List<ChartData> data;
        private bool chartRateSeriesVisible = true;

        public List<ChartData> Data
        {
            get
            {
                if (this.data == null)
                {
                    this.data = new List<ChartData>();
                    this.data.Add(new ChartData() { XValue = 1, YValue  = 5 });
                    this.data.Add(new ChartData() { XValue = 2, YValue = 15 });
                    this.data.Add(new ChartData() { XValue = 3, YValue = 12 });
                    this.data.Add(new ChartData() { XValue = 4, YValue = 7 });
                    this.data.Add(new ChartData() { XValue = 5, YValue = 9 });
                }

                return data;
            }
        }

        public bool ChartRateSeriesVisible
        {
            get
            {
                return this.chartRateSeriesVisible;
            }
            set
            {
                if (this.chartRateSeriesVisible != value)
                {
                    this.chartRateSeriesVisible = value;
                    this.OnPropertyChanged("ChartRateSeriesVisible");
                }
            }
        }
    }

    public class BooleanToSeriesVisibilityConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            bool boolValue = (bool)value;

            if (boolValue)
                return SeriesVisibility.Visible;
            else
                return SeriesVisibility.Hidden;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }

    public class ChartData
    {
        public double XValue
        {
            get;
            set;
        }

        public double YValue
        {
            get;
            set;
        }
    }
}
